/* interfac.h */

/* Teclas de controle das pecas no tabuleiro. */

#define ENTER       13  /* Codigo Ascii. */
#define SOBE     18432  /* Codigos de varredura do teclado. */
#define DESCE    20480
#define DIREITA  19712
#define ESQUERDA 19200

/* Cores da palette. */

#define PRETO        0
#define VERDE        1
#define VERMELHO     2
#define AMARELO      3

/* Numero da interrupcao gerada pelo relogio do sistema. */

#define CLOCK   0x1C

/* Prototipos das funcoes */

#ifdef PC

/* Funcoes para a interface no equipamento IBM PC */

void interrupt far cursor (void);
void recebe_no_inicial (no);
void limpa_mensagens (void);
void forma_peca (byte);
void retira_peca (void);
byte configuracao_valida (no);
void imprima (int, int, char *);
void mostra_tabuleiro (no);
void mostra_caminho (no);
void interrupt far estatistica_PC (void);
void inicializa_estatistica_PC (void);
void finaliza_estatistica_PC (void);

#else

/* Funcoes para outras interfaces */

void recebe_no_inicial (no);
void mostra_tabuleiro (no);
void mostra_caminho (no);

#endif

void estatistica (void);
